Bug 1033106 - (CVE-2013-6376) CVE-2013-6376 kernel: kvm: BUG_ON() in apic_cluster_id()
CVE-2013-6376 kernel: kvm: BUG_ON() in apic_cluster_id()
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20131212,repo...
: Security
Depends On: 1042099 1042101
Blocks: 1030995
  Show dependency treegraph
 
Reported: 2013-11-21 09:51 EST by Petr Matousek
Modified: 2015-10-15 14:06 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-21 09:52:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Matousek 2013-11-21 09:51:57 EST
Privileged guest user could trigger BUG_ON() in apic_cluster_id() when writing certain values to ICR register to request an IPI, while in x2apic mode.

A privileged guest user could use this flaw to crash the host.

Acknowledgements:

Red Hat would like to thank Lars Bull of Google for reporting this issue.
Comment 1 Petr Matousek 2013-11-21 09:52:57 EST
Statement:

Not vulnerable.

This issue did not affect the versions of kvm packages as shipped with Red Hat Enterprise Linux 5. This issue did not affect the versions of Linux kernel as shipped with Red Hat Enterprise 6.

This issue did not affect the versions of Linux kernel as shipped with Red Hat Enterprise MRG 2 as they did not provide support for the KVM subsystem.
Comment 3 Petr Matousek 2013-12-12 15:57:21 EST
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1042099]
Comment 4 Fedora Update System 2013-12-20 21:14:21 EST
kernel-3.12.5-200.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2013-12-20 21:24:09 EST
kernel-3.12.5-302.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.